Bug 124654 - laus multilib dependancy issue on new installation
laus multilib dependancy issue on new installation
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: laus (Show other bugs)
3.0
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Charlie Bennett
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-28 04:58 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-21 13:15:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-05-28 04:58:46 EDT
Description of problem:

Test install failed because of package conflicts:
The following packages were added to your selection to satisfy
dependencies:
Name                                    Version        Release
--------------------------------------------------------------
laus-libs                               0.1            56RHEL3       
     
laus-libs                               0.1            56RHEL3       
     

file /lib/liblaus.so.1.0.0 from install of laus-libs-0.1-56RHEL3
conflicts with file from package laus-0.1-54RHEL3
file /lib/liblaussrv.so.0.0.0 from install of laus-libs-0.1-56RHEL3
conflicts with file from package laus-0.1-54RHEL3

Version-Release number of selected component (if applicable):

Red Hat Enterprise Linux 3 U2 x86_64

How reproducible:

Not reproduced

Steps to Reproduce:
1. Install RHEL3 U2 x86_64 from instant iso
2. [mark@pindrop zoe]$ rpm -q laus
laus-0.1-54RHEL3
laus-0.1-54RHEL3
(one is x86_64 one is i386)

3. Reboot machine, run up2date
4. (up2date installs a new up2date and restarts)
5. Select all packages.  Note that it says it wants to update
laus from 54RHEL3 to 56RHEL3
6. Error above

Expected results:


Additional info:

http://rhn.redhat.com/errata/RHEA-2004-200.html doesn't contain
multilibs :(
Comment 1 Suzanne Hillman 2004-06-02 15:14:06 EDT
That's... odd. There _were_ multilib packages (presuming by that you
mean i386 in x86_64's tree, for example) in that errata. I don't
understand why they aren't there now!
Comment 2 Suzanne Hillman 2004-06-02 15:21:34 EDT
Huh. OK, there aren't for pam, either. I'm not sure that multilib
packages show up in the errata, although I don't understand why.

I'm also wondering if up2date'ing laus by hand, after the up2date
package is updated, but before everything else, would work? (hoping
for a workaround, since I'm confused as to why this is happening at
_all_, and I thought I'd checked this during my laus testing. Problem
being that I'd have tested only upgrading laus and possibly pam, and
not the entire system. Not sure; was more than a bit hectic during U2)
Comment 5 Andrew Sydelko 2004-07-28 22:10:00 EDT
Why isn't this fixed? It prevents anyone from just running 'up2date
-u' on a system to get all the latest updates. 
Comment 6 Gary Case 2004-08-31 17:34:36 EDT
The laus 0.1-56RHEL3 package has these requirements:

/bin/sh
/bin/sh
/bin/sh
/bin/sh
chkconfig
coreutils
libc.so.6
libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.3)
liblaus.so.1
liblaussrv.so.0
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

However, since laus-libs is a new package, up2date doesn't know where
to get these libraries. It should have Requires: laus-libs. 

You can issue up2date laus laus-libs to get around this problem.
Comment 7 Suzanne Hillman 2004-09-21 13:15:59 EDT
This ought to be fixed with Update 3. Closing as CURRENTRELEASE. If
this is not the case, please reopen.

Note You need to log in before you can comment on or make changes to this bug.